<?php
// Do not allow directly accessing this file.
if ( ! defined( 'ABSPATH' ) ) {
    exit( 'Direct script access denied.' );
}

function la_la_zyra_preset_blog_03(){
    return array(
        array(
            'key' => 'main_full_width',
            'value' => 'yes'
        ),
        array(
            'key' => 'blog_masonry',
            'value' => 'on'
        ),
        array(
            'key' => 'layout_blog',
            'value' => 'col-1c'
        ),
        array(
            'key' => 'blog_design',
            'value' => 'grid_6'
        ),
        array(
            'key' => 'blog_thumbnail_size',
            'value' => '425x0'
        ),
        array(
            'key' => 'blog_item_space',
            'value' => '20'
        ),
        array(
            'key' => 'blog_excerpt_length',
            'value' => 20
        ),
        array(
            'key' => 'blog_post_column',
            'value' => array(
                'xlg'   => '4',
                'lg'    => '3',
                'md'    => '3',
                'sm'    => '2',
                'xs'    => '1',
                'mb'    => '1'
            )
        ),
        array(
            'key' => 'main_space',
            'value' => array(
                'top' => 100,
                'bottom' => 100
            )
        ),
        array(
            'key' => 'page_title_bar_layout_blog_global',
            'value' => 'yes'
        ),
        array(
            'filter_name' => 'la_zyra/filter/page_title',
            'value' => '<header><div class="page-title h3">Blog Style 03</div></header>'
        ),

        array(
            'filter_name' => 'la_zyra/setting/option/get_la_custom_css',
            'filter_func' => function( $value ){
                $value .= '
.site-main{
    background-color: #f7f7f7;
}
@media (min-width: 1300px) {
  .site-main > .container{
    padding-left: 40px;
    padding-right: 40px;
  }
}

@media (min-width: 1400px) {
  .site-main > .container{
    padding-left: 60px;
    padding-right: 60px;
  }
}

@media (min-width: 1500px) {
  .site-main > .container{
    padding-left: 80px;
    padding-right: 80px;
  }
}
                ';

                return $value;
            },
            'filter_priority'  => 10,
            'filter_args'  => 3
        ),
    );
}