<?php
// Do not allow directly accessing this file.
if ( ! defined( 'ABSPATH' ) ) {
    exit( 'Direct script access denied.' );
}

function la_la_zyra_preset_shop_masonry(){
    return array(

        /**
         * Settings
         */

        array(
            'key' => 'layout_archive_product',
            'value' => 'col-1c'
        ),

        array(
            'key' => 'active_shop_filter',
            'value' => 'off'
        ),

        array(
            'key' => 'hide_shop_toolbar',
            'value' => 'off'
        ),

        array(
            'key' => 'main_full_width',
            'value' => 'yes'
        ),

        array(
            'key' => 'woocommerce_toggle_grid_list',
            'value' => 'off'
        ),
        array(
            'key' => 'woocommerce_enable_crossfade_effect',
            'value' => 'on'
        ),

        array(
            'key' => 'active_shop_masonry',
            'value' => 'on'
        ),

        array(
            'key' => 'shop_item_space',
            'value' => '60'
        ),

        array(
            'key' => 'shop_catalog_grid_style',
            'value' => '1'
        ),

        array(
            'key'   => 'woocommerce_shop_masonry_columns',
            'value' => array(
                'xlg' => 5,
                'lg' => 4,
                'md' => 3,
                'sm' => 2,
                'xs' => 2,
                'mb' => 1
            )
        ),

        array(
            'filter_name' => 'la_zyra/filter/page_title',
            'value' => '<header><div class="page-title h3">Shop Masonry</div></header>'
        ),

        array(
            'filter_name' => 'la_zyra/setting/option/get_la_custom_css',
            'filter_func' => function( $value ){
                $value .= '
.wc-toolbar-container{
    display: none;
}
.section-page-header{
    background-image: url(//zyra.la-studioweb.com/wp-content/uploads/2017/11/page-title-shop.jpg);
}
@media (min-width: 1300px) {
  .site-main > .container{
    padding-left: 40px;
    padding-right: 40px;
  }
}

@media (min-width: 1400px) {
  .site-main > .container{
    padding-left: 60px;
    padding-right: 60px;
  }
}

@media (min-width: 1500px) {
  .site-main > .container{
    padding-left: 80px;
    padding-right: 80px;
  }
}
                ';

                return $value;
            },
            'filter_priority'  => 10,
            'filter_args'  => 3
        ),
    );
}